# SDK Setup

**It only takes a few minutes to get started with Qube Analytics.**

## **Overview** <a href="#installing" id="installing"></a>

### Limitations of Installation?

We have some limitations for current this page will announce any changes due to this limitations.

* We Support Any Android Mobile application
* Currently we don't support IOS Apps
* Flutter SDK in beta version\
  this means soon we can support any IOS Apps that use flutter.
* Flutter or React Native or any cross platform can use SDK by implementing channel\
  SDK built with **Native Java Code**

## Install STK SDK

Now we can follow this steps to install and setup the SDK\
It's require a developer from your side to complete this setups\
after installation you can test the installation normally on any beta version from your app then you can release your apps for your users.&#x20;

### Import Lib from Jitpack

```json
allprojects {
    repositories {
        ...
	maven { url 'https://jitpack.io' }
  }
}
```

### Add the dependency

please add this dependencies in your module **build.gradle**

```json
dependencies {
            implementation 'com.github.StackAnalysis:STKDroid:0.2.3'
    }
```

### Basic Setup

```java
public class BaseApplication extends Application
     {
        @Override
        public void onCreate() {
            super.onCreate();
              List
        activities=new ArrayList<>();
        activities.add(DeliveryActivity.class.getName());
        new StackAnalytix.Builder()
        .setContext(this)
        .setAppId( )
        .setClientId()
        .setkey(" ")
        .setScreenRecorder(true)
        .setSkipRecorderActivities(activities)//skip some activities during  screen recorder
        .setOnCrashListener(new OnCrashListener() {
        @Override
        public void onCrash(@Nullable String crashInfo, @Nullable Throwable e) {

        }
        }).setOnLoggerListener(new OnLoggerListener() {
        @Override
        public void onLogI(@Nullable String tag, @Nullable String msg) {

        }

        @Override
        public void onLogD(@Nullable String tag, @Nullable String msg) {

        }

        @Override
        public void onLogE(@Nullable String tag, @Nullable String msg) {

        }

        @Override
        public void onLogV(@Nullable String tag, @Nullable String msg) {

        }

        @Override
        public void onLogW(@Nullable String tag, @Nullable String msg) {

        }
        })
        .build();
        }
    }
```

**Please fill the empty function like**&#x20;

```java
setAppId(>>>>app id here<<<<)
setClientId(>>>>client id here<<<<)
setkey(>>>>key here<<<<)
```

**You can find this information in Stack Analytix Dashboard**


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.analytics.qubefyn.com/get-started/sdk-setup.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
